## CongEditorAreaTextFragment

CongEditorAreaTextFragment —

## Synopsis

    struct      CongEditorAreaTextFragment;
    #define     CONG_EDITOR_AREA_TEXT_FRAGMENT  (obj)
    #define     CONG_EDITOR_AREA_TEXT_FRAGMENT_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_TEXT_FRAGMENT(obj)
    GType       cong_editor_area_text_fragment_get_type
                                                (void);
    CongEditorArea* cong_editor_area_text_fragment_construct
                                                (CongEditorAreaTextFragment *area_text_fragment,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorNodeText *editor_node_text,
                                                 PangoLayout *pango_layout,
                                                 guint line_index,
                                                 int baseline);
    CongEditorArea* cong_editor_area_text_fragment_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorNodeText *editor_node_text,
                                                 PangoLayout *pango_layout,
                                                 guint line_index,
                                                 int baseline);
    PangoLayoutLine* cong_editor_area_text_get_pango_layout_line
                                                (CongEditorAreaTextFragment *area_text_fragment);
    gboolean    cong_editor_area_text_fragment_x_to_index
                                                (CongEditorAreaTextFragment *area_text_fragment,
                                                 int x,
                                                 int *index_,
                                                 int *trailing);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaTextFragment

## Description

## Details

### struct CongEditorAreaTextFragment

    struct CongEditorAreaTextFragment;

### CONG_EDITOR_AREA_TEXT_FRAGMENT()

    #define CONG_EDITOR_AREA_TEXT_FRAGMENT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_TEXT_FRAGMENT_TYPE, CongEditorAreaTextFragment)

`obj` : |

### CONG_EDITOR_AREA_TEXT_FRAGMENT_CLASS()

    #define CONG_EDITOR_AREA_TEXT_FRAGMENT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_TEXT_FRAGMENT_TYPE, CongEditorAreaTextFragmentClass)

`klass` : |

### IS_CONG_EDITOR_AREA_TEXT_FRAGMENT()

    #define IS_CONG_EDITOR_AREA_TEXT_FRAGMENT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_TEXT_FRAGMENT_TYPE)

`obj` : |

### cong_editor_area_text_fragment_get_type ()

    GType       cong_editor_area_text_fragment_get_type
                                                (void);

Returns : |

### cong_editor_area_text_fragment_construct ()

    CongEditorArea* cong_editor_area_text_fragment_construct
                                                (CongEditorAreaTextFragment *area_text_fragment,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorNodeText *editor_node_text,
                                                 PangoLayout *pango_layout,
                                                 guint line_index,
                                                 int baseline);

TODO: Write me

`area_text_fragment` : |
`editor_widget` : |
`editor_node_text` : |
`pango_layout` : |
`line_index` : |
`baseline` : |
Returns : |

### cong_editor_area_text_fragment_new ()

    CongEditorArea* cong_editor_area_text_fragment_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorNodeText *editor_node_text,
                                                 PangoLayout *pango_layout,
                                                 guint line_index,
                                                 int baseline);

TODO: Write me

`editor_widget` : |
`editor_node_text` : |
`pango_layout` : |
`line_index` : |
`baseline` : |
Returns : |

### cong_editor_area_text_get_pango_layout_line ()

    PangoLayoutLine* cong_editor_area_text_get_pango_layout_line
                                                (CongEditorAreaTextFragment *area_text_fragment);

TODO: Write me

`area_text_fragment` : |
Returns : |

### cong_editor_area_text_fragment_x_to_index ()

    gboolean    cong_editor_area_text_fragment_x_to_index
                                                (CongEditorAreaTextFragment *area_text_fragment,
                                                 int x,
                                                 int *index_,
                                                 int *trailing);

TODO: Write me

`area_text_fragment` : |
`x` : |
`index_` : |
`trailing` : |
Returns : |